]> git.proxmox.com Git - grub2.git/blame - po/Makefile.in.in
* util/grub-mkconfig_lib.in (gettext_quoted): Add clarifying
[grub2.git] / po / Makefile.in.in
CommitLineData
269004c1
CW
1# Makefile for PO directory in any package using GNU gettext.
2# Copyright (C) 1995-1997, 2000-2007, 2009-2010 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
3#
4# This file can be copied and used freely without restrictions. It can
5# be used in projects which are not available under the GNU General Public
6# License but which still want to provide support for the GNU gettext
7# functionality.
8# Please note that the actual code of GNU gettext is covered by the GNU
9# General Public License and is *not* in the public domain.
10#
11# Origin: gettext-0.18
12GETTEXT_MACRO_VERSION = 0.18
13
14PACKAGE = @PACKAGE@
15VERSION = @VERSION@
16PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
17
18SHELL = /bin/sh
19@SET_MAKE@
20
21srcdir = @srcdir@
22top_srcdir = @top_srcdir@
23VPATH = @srcdir@
24
25prefix = @prefix@
26exec_prefix = @exec_prefix@
27datarootdir = @datarootdir@
28datadir = @datadir@
29localedir = @localedir@
30gettextsrcdir = $(datadir)/gettext/po
31
32INSTALL = @INSTALL@
33INSTALL_DATA = @INSTALL_DATA@
34
35# We use $(mkdir_p).
36# In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
37# "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
38# @install_sh@ does not start with $(SHELL), so we add it.
39# In automake >= 1.10, @mkdir_p@ is derived from ${MKDIR_P}, which is defined
40# either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
41# versions, $(mkinstalldirs) and $(install_sh) are unused.
42mkinstalldirs = $(SHELL) @install_sh@ -d
43install_sh = $(SHELL) @install_sh@
44MKDIR_P = @MKDIR_P@
45mkdir_p = @mkdir_p@
46
47GMSGFMT_ = @GMSGFMT@
48GMSGFMT_no = @GMSGFMT@
49GMSGFMT_yes = @GMSGFMT_015@
50GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
51MSGFMT_ = @MSGFMT@
52MSGFMT_no = @MSGFMT@
53MSGFMT_yes = @MSGFMT_015@
54MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
55XGETTEXT_ = @XGETTEXT@
56XGETTEXT_no = @XGETTEXT@
57XGETTEXT_yes = @XGETTEXT_015@
58XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
59MSGMERGE = msgmerge
60MSGMERGE_UPDATE = @MSGMERGE@ --update
61MSGINIT = msginit
62MSGCONV = msgconv
63MSGFILTER = msgfilter
64
65POFILES = @POFILES@
66GMOFILES = @GMOFILES@
67UPDATEPOFILES = @UPDATEPOFILES@
68DUMMYPOFILES = @DUMMYPOFILES@
69DISTFILES.common = Makefile.in.in remove-potcdate.sin \
70$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
71DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
72$(POFILES) $(GMOFILES) \
73$(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)
74
75POTFILES = \
76
77CATALOGS = @CATALOGS@
78
79# Makevars gets inserted here. (Don't remove this line!)
80
81.SUFFIXES:
82.SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update
83
84.po.mo:
85 @echo "$(MSGFMT) -c -o $@ $<"; \
86 $(MSGFMT) -c -o t-$@ $< && mv t-$@ $@
87
88.po.gmo:
89 @lang=`echo $* | sed -e 's,.*/,,'`; \
90 test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
91 echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o $${lang}.gmo $${lang}.po"; \
92 cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo
93
94.sin.sed:
95 sed -e '/^#/d' $< > t-$@
96 mv t-$@ $@
97
98
99all: check-macro-version all-@USE_NLS@
100
101all-yes: stamp-po
102all-no:
103
104# Ensure that the gettext macros and this Makefile.in.in are in sync.
105check-macro-version:
106 @test "$(GETTEXT_MACRO_VERSION)" = "@GETTEXT_MACRO_VERSION@" \
107 || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version @GETTEXT_MACRO_VERSION@" 1>&2; \
108 exit 1; \
109 }
110
111# $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
112# internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
113# we don't want to bother translators with empty POT files). We assume that
114# LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
115# In this case, stamp-po is a nop (i.e. a phony target).
116
117# stamp-po is a timestamp denoting the last time at which the CATALOGS have
118# been loosely updated. Its purpose is that when a developer or translator
119# checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
120# "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
121# invocations of "make" will do nothing. This timestamp would not be necessary
122# if updating the $(CATALOGS) would always touch them; however, the rule for
123# $(POFILES) has been designed to not touch files that don't need to be
124# changed.
125stamp-po: $(srcdir)/$(DOMAIN).pot
126 test ! -f $(srcdir)/$(DOMAIN).pot || \
127 test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
128 @test ! -f $(srcdir)/$(DOMAIN).pot || { \
129 echo "touch stamp-po" && \
130 echo timestamp > stamp-poT && \
131 mv stamp-poT stamp-po; \
132 }
133
134# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
135# otherwise packages like GCC can not be built if only parts of the source
136# have been downloaded.
137
138# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
139# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
140$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in $(srcdir)/POTFILES-shell.in remove-potcdate.sed
141 if LC_ALL=C grep 'GNU @PACKAGE@' $(top_srcdir)/* 2>/dev/null | grep -v 'libtool:' >/dev/null; then \
142 package_gnu='GNU '; \
143 else \
144 package_gnu=''; \
145 fi; \
146 if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
147 msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
148 else \
149 msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
150 fi; \
151 case `$(XGETTEXT) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
152 '' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].* | 0.16 | 0.16.[0-1]*) \
153 $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
154 --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
155 --files-from=$(srcdir)/POTFILES.in \
156 --copyright-holder='$(COPYRIGHT_HOLDER)' \
157 --msgid-bugs-address="$$msgid_bugs_address" \
158 ;; \
159 *) \
160 $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
161 --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
162 --files-from=$(srcdir)/POTFILES.in \
163 --copyright-holder='$(COPYRIGHT_HOLDER)' \
164 --package-name="$${package_gnu}@PACKAGE@" \
165 --package-version='@VERSION@' \
166 --msgid-bugs-address="$$msgid_bugs_address" \
167 ;; \
168 esac
169 case `$(XGETTEXT) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
170 '' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].* | 0.16 | 0.16.[0-1]*) \
171 $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
172 --add-comments=TRANSLATORS: @XGETTEXT_EXTRA_OPTIONS@ \
173 --files-from=$(srcdir)/POTFILES-shell.in \
174 --copyright-holder='$(COPYRIGHT_HOLDER)' \
175 --msgid-bugs-address="$$msgid_bugs_address" \
4e01b6c8
CW
176 --join-existing --language=Shell \
177 --keyword=gettext_quoted --keyword=gettext_printf \
269004c1
CW
178 ;; \
179 *) \
180 $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
181 --add-comments=TRANSLATORS: @XGETTEXT_EXTRA_OPTIONS@ \
182 --files-from=$(srcdir)/POTFILES-shell.in \
183 --copyright-holder='$(COPYRIGHT_HOLDER)' \
184 --package-name="$${package_gnu}@PACKAGE@" \
185 --package-version='@VERSION@' \
186 --msgid-bugs-address="$$msgid_bugs_address" \
4e01b6c8
CW
187 --join-existing --language=Shell \
188 --keyword=gettext_quoted --keyword=gettext_printf \
269004c1
CW
189 ;; \
190 esac
191 test ! -f $(DOMAIN).po || { \
4e01b6c8
CW
192 sed -f grub.d.sed < $(DOMAIN).po > $(DOMAIN).1po && \
193 mv $(DOMAIN).1po $(DOMAIN).po; \
269004c1
CW
194 if test -f $(srcdir)/$(DOMAIN).pot; then \
195 sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
196 sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
197 if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
198 rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
199 else \
200 rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
201 mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
202 fi; \
203 else \
204 mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
205 fi; \
206 }
207
208# This rule has no dependencies: we don't need to update $(DOMAIN).pot at
209# every "make" invocation, only create it when it is missing.
210# Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
211$(srcdir)/$(DOMAIN).pot:
212 $(MAKE) $(DOMAIN).pot-update
213
214# This target rebuilds a PO file if $(DOMAIN).pot has changed.
215# Note that a PO file is not touched if it doesn't need to be changed.
216$(POFILES): $(srcdir)/$(DOMAIN).pot
217 @lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
218 if test -f "$(srcdir)/$${lang}.po"; then \
219 test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
220 echo "$${cdcmd}$(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot"; \
221 cd $(srcdir) \
222 && { case `$(MSGMERGE_UPDATE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
223 '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
224 $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) $${lang}.po $(DOMAIN).pot;; \
225 *) \
226 $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot;; \
227 esac; \
228 }; \
229 else \
230 $(MAKE) $${lang}.po-create; \
231 fi
232
233
234install: install-exec install-data
235install-exec:
236install-data: install-data-@USE_NLS@
237 if test "$(PACKAGE)" = "gettext-tools"; then \
238 $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
239 for file in $(DISTFILES.common) Makevars.template; do \
240 $(INSTALL_DATA) $(srcdir)/$$file \
241 $(DESTDIR)$(gettextsrcdir)/$$file; \
242 done; \
243 for file in Makevars; do \
244 rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
245 done; \
246 else \
247 : ; \
248 fi
249install-data-no: all
250install-data-yes: all
251 @catalogs='$(CATALOGS)'; \
252 for cat in $$catalogs; do \
253 cat=`basename $$cat`; \
254 lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
255 dir=$(localedir)/$$lang/LC_MESSAGES; \
256 $(mkdir_p) $(DESTDIR)$$dir; \
257 if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
258 $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
259 echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
260 for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
261 if test -n "$$lc"; then \
262 if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
263 link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
264 mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
265 mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
266 (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
267 for file in *; do \
268 if test -f $$file; then \
269 ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
270 fi; \
271 done); \
272 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
273 else \
274 if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
275 :; \
276 else \
277 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
278 mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
279 fi; \
280 fi; \
281 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
282 ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
283 ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
284 cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
285 echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \
286 fi; \
287 done; \
288 done
289
290install-strip: install
291
292installdirs: installdirs-exec installdirs-data
293installdirs-exec:
294installdirs-data: installdirs-data-@USE_NLS@
295 if test "$(PACKAGE)" = "gettext-tools"; then \
296 $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
297 else \
298 : ; \
299 fi
300installdirs-data-no:
301installdirs-data-yes:
302 @catalogs='$(CATALOGS)'; \
303 for cat in $$catalogs; do \
304 cat=`basename $$cat`; \
305 lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
306 dir=$(localedir)/$$lang/LC_MESSAGES; \
307 $(mkdir_p) $(DESTDIR)$$dir; \
308 for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
309 if test -n "$$lc"; then \
310 if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
311 link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
312 mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
313 mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
314 (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
315 for file in *; do \
316 if test -f $$file; then \
317 ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
318 fi; \
319 done); \
320 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
321 else \
322 if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
323 :; \
324 else \
325 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
326 mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
327 fi; \
328 fi; \
329 fi; \
330 done; \
331 done
332
333# Define this as empty until I found a useful application.
334installcheck:
335
336uninstall: uninstall-exec uninstall-data
337uninstall-exec:
338uninstall-data: uninstall-data-@USE_NLS@
339 if test "$(PACKAGE)" = "gettext-tools"; then \
340 for file in $(DISTFILES.common) Makevars.template; do \
341 rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
342 done; \
343 else \
344 : ; \
345 fi
346uninstall-data-no:
347uninstall-data-yes:
348 catalogs='$(CATALOGS)'; \
349 for cat in $$catalogs; do \
350 cat=`basename $$cat`; \
351 lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
352 for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
353 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
354 done; \
355 done
356
357check: all
358
359info dvi ps pdf html tags TAGS ctags CTAGS ID:
360
361mostlyclean:
362 rm -f remove-potcdate.sed
363 rm -f stamp-poT
364 rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
365 rm -fr *.o
366
367clean: mostlyclean
368
369distclean: clean
370 rm -f Makefile Makefile.in POTFILES *.mo
371
372maintainer-clean: distclean
373 @echo "This command is intended for maintainers to use;"
374 @echo "it deletes files that may require special tools to rebuild."
375 rm -f stamp-po $(GMOFILES)
376
377distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
378dist distdir:
379 $(MAKE) update-po
380 @$(MAKE) dist2
381# This is a separate target because 'update-po' must be executed before.
382dist2: stamp-po $(DISTFILES)
383 dists="$(DISTFILES)"; \
384 if test "$(PACKAGE)" = "gettext-tools"; then \
385 dists="$$dists Makevars.template"; \
386 fi; \
387 if test -f $(srcdir)/$(DOMAIN).pot; then \
388 dists="$$dists $(DOMAIN).pot stamp-po"; \
389 fi; \
390 if test -f $(srcdir)/ChangeLog; then \
391 dists="$$dists ChangeLog"; \
392 fi; \
393 for i in 0 1 2 3 4 5 6 7 8 9; do \
394 if test -f $(srcdir)/ChangeLog.$$i; then \
395 dists="$$dists ChangeLog.$$i"; \
396 fi; \
397 done; \
398 if test -f $(srcdir)/LINGUAS; then dists="$$dists LINGUAS"; fi; \
399 for file in $$dists; do \
400 if test -f $$file; then \
401 cp -p $$file $(distdir) || exit 1; \
402 else \
403 cp -p $(srcdir)/$$file $(distdir) || exit 1; \
404 fi; \
405 done
406
407update-po: Makefile
408 $(MAKE) $(DOMAIN).pot-update
409 test -z "$(UPDATEPOFILES)" || $(MAKE) $(UPDATEPOFILES)
410 $(MAKE) update-gmo
411
412# General rule for creating PO files.
413
414.nop.po-create:
415 @lang=`echo $@ | sed -e 's/\.po-create$$//'`; \
416 echo "File $$lang.po does not exist. If you are a translator, you can create it through 'msginit'." 1>&2; \
417 exit 1
418
419# General rule for updating PO files.
420
421.nop.po-update:
422 @lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
423 if test "$(PACKAGE)" = "gettext-tools"; then PATH=`pwd`/../src:$$PATH; fi; \
424 tmpdir=`pwd`; \
425 echo "$$lang:"; \
426 test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
427 echo "$${cdcmd}$(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang $$lang.po $(DOMAIN).pot -o $$lang.new.po"; \
428 cd $(srcdir); \
429 if { case `$(MSGMERGE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
430 '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
431 $(MSGMERGE) $(MSGMERGE_OPTIONS) -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
432 *) \
433 $(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
434 esac; \
435 }; then \
436 if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
437 rm -f $$tmpdir/$$lang.new.po; \
438 else \
439 if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
440 :; \
441 else \
442 echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
443 exit 1; \
444 fi; \
445 fi; \
446 else \
447 echo "msgmerge for $$lang.po failed!" 1>&2; \
448 rm -f $$tmpdir/$$lang.new.po; \
449 fi
450
451$(DUMMYPOFILES):
452
453update-gmo: Makefile $(GMOFILES)
454 @:
455
456# Recreate Makefile by invoking config.status. Explicitly invoke the shell,
457# because execution permission bits may not work on the current file system.
458# Use @SHELL@, which is the shell determined by autoconf for the use by its
459# scripts, not $(SHELL) which is hardwired to /bin/sh and may be deficient.
460Makefile: Makefile.in.in Makevars $(top_builddir)/config.status @POMAKEFILEDEPS@
461 cd $(top_builddir) \
462 && @SHELL@ ./config.status $(subdir)/$@.in po-directories
463
464force:
465
466# Tell versions [3.59,3.63) of GNU make not to export all variables.
467# Otherwise a system limit (for SysV at least) may be exceeded.
468.NOEXPORT: